shevek::file(3)

NAME
shevek::file -

Use normal files with the fd class.

SYNOPSIS

#include <file.hh>

Inherits shevek::fd.

  Public Member Functions

void open (std::string name, bool read, bool write)
Open a new file in the object.
void close ()
Close the file.

  Static Public Member Functions

static Glib::RefPtr< file > create (Glib::RefPtr< Glib::MainContext > main=Glib::MainContext::get_default())
Create a new file object.

Detailed Description

Use normal files with the fd class.

Author

Generated automatically by Doxygen for libshevek from the source code.